installation on High Sierra from source

Help for Audacity 2.x.x on Mac OS X.

ImageThis forum is for Audacity 2.x.x on Mac OS X 10.4 and later.
Please state which version of macOS you are using,
and the exact three-section version number of Audacity from "Audacity menu > About Audacity".


Audacity 1.2.x and 1.3.x are obsolete and no longer supported. If you still have those versions, please upgrade at https://www.audacityteam.org/download/.
The old forums for those versions are now closed, but you can still read the archives of the 1.2.x and 1.3.x forums.

installation on High Sierra from source

Permanent link to this post Posted by baj » Mon Jan 08, 2018 12:29 pm

I am running into problems with installing audacity from source on High Sierra.

After two full days of unsuccessful installation attempts I finally found the following link: http://wiki.audacityteam.org/wiki/Building_On_Mac

Interpreting these instructions made me believe that my previous attempts failed because I was using the current XCode 9.2. So I have move that one to Xcode_new.app and installed the 8.1 version (without installing the extra package command line tools, since I didn't see how to keep the new version aside...). I continued installing the SDK.

But I cannot follow: sudo <path to Audacity source>/mac/build_wxwidgets .
because I don't have the mac directory (which I believe is osx). But even worse, there is no file called "build_wxwidgets" anywhere...

Could please clarify this line.

In Xcode when compiling, there is an error complaining about <QuickTime/QuickTime.h> not being found.

Any help/suggestions are appreciated.

PS. I am compiling because I want to run audacity from command line and record something every day at a specific time with specific options.
baj
 
Posts: 6
Joined: Mon Jan 08, 2018 12:19 pm
Operating System: OS X 10.11 El Capitan or later (macOS)

Re: installation on High Sierra from source

Permanent link to this post Posted by steve » Mon Jan 08, 2018 1:00 pm

baj wrote:But even worse, there is no file called "build_wxwidgets" anywhere...

It is in the Audacity source code. You can see it here: https://github.com/audacity/audacity/tree/master/mac
If you don't have that file, then you don't have the full Audacity source code. Where did you get the Audacity source code from?
9/10 questions are answered in the FREQUENTLY ASKED QUESTIONS (FAQ)
steve
Site Admin
 
Posts: 46541
Joined: Sat Dec 01, 2007 11:43 am
Operating System: Linux *buntu

Re: installation on High Sierra from source

Permanent link to this post Posted by baj » Mon Jan 08, 2018 2:42 pm

steve wrote:
baj wrote:But even worse, there is no file called "build_wxwidgets" anywhere...

It is in the Audacity source code. You can see it here: https://github.com/audacity/audacity/tree/master/mac
If you don't have that file, then you don't have the full Audacity source code. Where did you get the Audacity source code from?


The instructions (point 8) explicitly state to download https://github.com/audacity/wxWidgets/t ... city-fixes, which doesn't contain that file.
I am trying with master later today...
baj
 
Posts: 6
Joined: Mon Jan 08, 2018 12:19 pm
Operating System: OS X 10.11 El Capitan or later (macOS)

Re: installation on High Sierra from source

Permanent link to this post Posted by steve » Mon Jan 08, 2018 3:06 pm

Audacity is one project, WxWidgets is another.

WxWidgets is the cross-platform toolkit used by Audacity. On macOS, Audacity requires a patched version of WxWidgets.
There are two options for obtaining the patched version of WxWidgets. The recommended way is to download the patched version from https://github.com/audacity/wxWidgets/t ... city-fixes
The other way is to download WxWidgets from the WxWidgets site, and apply patches from the Audacity source code.

The Audacity source code is here: https://github.com/audacity/audacity (current development code)
The 2.2.1 release version source code is here: https://github.com/audacity/audacity/re ... city-2.2.1

To build Audacity, you need both;
A patched build of WxWidgets.
The Audacity source code.
9/10 questions are answered in the FREQUENTLY ASKED QUESTIONS (FAQ)
steve
Site Admin
 
Posts: 46541
Joined: Sat Dec 01, 2007 11:43 am
Operating System: Linux *buntu

Re: installation on High Sierra from source

Permanent link to this post Posted by baj » Mon Jan 08, 2018 6:49 pm

Thanks so much. My bad, I wasn't reading correctly and wasn't even thinking about that you already implemented all the necessary things...
So, now I got wxWidgets to compile without any issue.

When trying to compile audacity I now run into the following problem:

Bernds-Mac-Pro:mac bernd$ xcodebuild -configuration Release install 2>&1 > install.log
** INSTALL FAILED **


The following build commands failed:
CompileC build/Audacity.build/Release/portmidi.build/Objects-normal/i386/pmmacosxcm.o /Users/bernd/programs/audacity-Audacity-2.2.1/lib-src/portmidi/pm_mac/pmmacosxcm.c normal i386 c com.apple.compilers.llvm.clang.1_0.compiler
(1 failure)

see attached file for additional information.

Do you have any clue what might be going wrong now?

Thanks again!!!
Attachments
install.log
(23.8 KiB) Downloaded 5 times
baj
 
Posts: 6
Joined: Mon Jan 08, 2018 12:19 pm
Operating System: OS X 10.11 El Capitan or later (macOS)

Re: installation on High Sierra from source

Permanent link to this post Posted by steve » Mon Jan 08, 2018 7:13 pm

It seems that you are still using XCode 9.
You need to restart the system after installing XCode 8
9/10 questions are answered in the FREQUENTLY ASKED QUESTIONS (FAQ)
steve
Site Admin
 
Posts: 46541
Joined: Sat Dec 01, 2007 11:43 am
Operating System: Linux *buntu

Re: installation on High Sierra from source

Permanent link to this post Posted by baj » Mon Jan 08, 2018 10:18 pm

I restarted, and removed some variables that relate to the compile like CC, CXX etc.

Now it seems that I don't have the correct version of ftp:

/bin/sh -c /Users/bernd/programs/audacity-Audacity-2.2.1/mac/build/Audacity.build/Release/Audacity.build/Script-282413DA131D52CE009FD931.sh
Retrieving plugins
ftp: invalid option -- 'o'
Try 'ftp --help' or 'ftp --usage' for more information.
/Users/bernd/programs/audacity-Audacity-2.2.1/mac/scripts/install_ladspa_plugins.sh: line 83: cd: ./swh-plugins-0.4.15: No such file or directory
Building sc4_1882 using gcc
clang: error: no such file or directory: 'sc4_1882.c'
clang: error: no such file or directory: 'util/db.c'
clang: error: no such file or directory: 'util/rms.c'
clang: error: no input files

** INSTALL FAILED **


The following build commands failed:
PhaseScriptExecution Install\ plugins build/Audacity.build/Release/Audacity.build/Script-282413DA131D52CE009FD931.sh
(1 failure)

I installed inetutils using xcode 9.2 and switched back to 8.1 after installation.
ftp works, but doesn't understand the option o...

any suggestions?
Thanks
baj
 
Posts: 6
Joined: Mon Jan 08, 2018 12:19 pm
Operating System: OS X 10.11 El Capitan or later (macOS)

Re: installation on High Sierra from source

Permanent link to this post Posted by steve » Tue Jan 09, 2018 1:05 am

baj wrote:Now it seems that I don't have the correct version of ftp:

Seems that the build script requires the BSD version of ftp.
If you have access to a machine with Sierra, the easiest solution is to copy ftp from the Sierra machine to the High Sierra machine (it's probably in /usr/bin/)

I think the only thing that ftp is used for is for grabbing the SC4 plug-in, which can either be downloaded manually from https://github.com/swh/ladspa, or copy from a release version of Audacity, and disable that part of the build script.
9/10 questions are answered in the FREQUENTLY ASKED QUESTIONS (FAQ)
steve
Site Admin
 
Posts: 46541
Joined: Sat Dec 01, 2007 11:43 am
Operating System: Linux *buntu

Re: installation on High Sierra from source

Permanent link to this post Posted by steve » Tue Jan 09, 2018 10:59 am

Some additional information about the ftp issue from one of the Audacity developers:
The obstacle is building and installing the sc4 LADSPA plug-in, which perhaps they can live without. If so, then in XCode,

choose the Project Navigator (the folder button in the left pane), click on Audacity.
In the middle pane, choose Build Phases.
Find "Install Plugins".
Click the x to the right, to delete that step, and confirm.
9/10 questions are answered in the FREQUENTLY ASKED QUESTIONS (FAQ)
steve
Site Admin
 
Posts: 46541
Joined: Sat Dec 01, 2007 11:43 am
Operating System: Linux *buntu

Re: installation on High Sierra from source

Permanent link to this post Posted by baj » Tue Jan 09, 2018 5:52 pm

** INSTALL SUCCEEDED **

after copying an old version of ftp from a colleague...

Thanks so much for all your kind help.

If by chance you have a concrete example script that I can use to start developing my use-case that would be even better... ;) (apart from https://manual.audacityteam.org/man/scripting.html)....

THANKS!!!
baj
 
Posts: 6
Joined: Mon Jan 08, 2018 12:19 pm
Operating System: OS X 10.11 El Capitan or later (macOS)

Next

Return to Mac OS X



Who is online

Users browsing this forum: karyn_s and 4 guests